/*
 * Spirit Level
 *
 * Copyright (C) 2013  Fabien LOISON <http://flogisoft.com/>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


var sensor = null
var bubble = null;
var settings = null;
var eValueX = null;
var eValueY = null;
var _lastAngle = {x: 0, y: 0};


function setText(domElement, text) {
	while (domElement.firstChild) {
		domElement.removeChild(domElement.firstChild);
	}
	domElement.appendChild(document.createTextNode(text));
}


function main() {
	bubble = new Bubble(document.getElementById("bubble"));
	settings = new Settings();
	sensor = new Sensor();
	eValueX = document.getElementById("value_x");
	eValueY = document.getElementById("value_y");
	update(true);
}


function update(force) {
	sensor.update();
	var rawAngle = sensor.getRawAngle();
	
	if (force || rawAngle.x != _lastAngle.x || rawAngle.y != _lastAngle.y) {
		bubble.setAngles(rawAngle.x, rawAngle.y);
		bubble.draw();
		setText(eValueX, sensor.getDegAngle().x);
		setText(eValueY, sensor.getDegAngle().y);
	}

	_lastAngle.x = rawAngle.x;
	_lastAngle.y = rawAngle.y;
	//window.requestAnimationFrame(update);
	setTimeout(update, 17);
}


window.onload = main;
